View Issue Details

IDProjectCategoryView StatusLast Update
0014904LazarusIDEpublic2011-12-01 11:23
Reporterthierrybo Assigned ToVincent Snijders  
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.28 
Fixed in Version0.9.28.3 (SVN) 
Summary0014904: Adding field to a TSqlQuery => access violation
DescriptionCreate an empty application, add TODBCConnection, TSQLQuery and a TSQLTransaction, link and active them (for my example, sql = select somefield from mytable).
Open TSQLQuery field editor
Add a field
Click Create
=> access violation
Additional Informationscreencast http://www.thierrybo.freesurf.fr/divers/TSqlQuery.htm
TagsNo tags attached.
Fixed in Revision22256
LazTarget-
WidgetsetGTK 2
Attached Files

Relationships

related to 0014018 closedJesus Reyes Packages error when adding fields to zeos lib 6.6.5 stable 

Activities

alexP

2009-10-27 01:58

reporter   ~0031704

http://mantis.freepascal.org/view.php?id=14018

Paul Ishenin

2009-10-28 02:59

manager   ~0031746

Please test and close if ok.

thierrybo

2009-10-31 17:44

reporter   ~0031819

no more error with fix.

Flávio Etrusco

2010-03-14 21:24

developer   ~0035517

Jesus, is it possible for you to merge the fix to "fixes" branch?
Thanks in advance!

Vincent Snijders

2010-03-14 21:42

manager   ~0035521

merged in r23996.

Issue History

Date Modified Username Field Change
2009-10-26 20:43 thierrybo New Issue
2009-10-26 20:43 thierrybo Widgetset => GTK 2
2009-10-27 01:58 alexP Note Added: 0031704
2009-10-27 18:09 Jesus Reyes Status new => assigned
2009-10-27 18:09 Jesus Reyes Assigned To => Jesus Reyes
2009-10-28 02:59 Paul Ishenin Fixed in Revision => 22256
2009-10-28 02:59 Paul Ishenin LazTarget => -
2009-10-28 02:59 Paul Ishenin Status assigned => resolved
2009-10-28 02:59 Paul Ishenin Fixed in Version => 0.9.29 (SVN)
2009-10-28 02:59 Paul Ishenin Resolution open => fixed
2009-10-28 02:59 Paul Ishenin Note Added: 0031746
2009-10-28 03:00 Paul Ishenin Relationship added related to 0014018
2009-10-31 17:44 thierrybo Status resolved => closed
2009-10-31 17:44 thierrybo Note Added: 0031819
2010-03-14 21:24 Flávio Etrusco Status closed => assigned
2010-03-14 21:24 Flávio Etrusco Resolution fixed => reopened
2010-03-14 21:24 Flávio Etrusco Note Added: 0035517
2010-03-14 21:28 Vincent Snijders Assigned To Jesus Reyes => Vincent Snijders
2010-03-14 21:42 Vincent Snijders Status assigned => resolved
2010-03-14 21:42 Vincent Snijders Fixed in Version 0.9.29 (SVN) => 0.9.28.3 (SVN)
2010-03-14 21:42 Vincent Snijders Resolution reopened => fixed
2010-03-14 21:42 Vincent Snijders Note Added: 0035521
2011-12-01 11:23 Marc Weustink Status resolved => closed